--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: create a new Bot with botclass <tt>botclass</tt>
full_name: Irc::Bot::new
is_singleton: true
name: new
params: (botclass, params = {})
visibility: public
